OGRE: Ogre::MovableObjectFactory Class Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::MovableObjectFactory Class Referenceabstract
Core | Component » Scene

Interface definition for a factory class which produces a certain kind of MovableObject, and can be registered with Root in order to allow all clients to produce new instances of this object, integrated with the standard Ogre processing. More...

`#include <OgreMovableObject.h>`

Inheritance diagram for Ogre::MovableObjectFactory:
[legend]

## Public Member Functions
| MovableObjectFactory ()
virtual | ~MovableObjectFactory ()
virtual MovableObject * | createInstance (IdType id, ObjectMemoryManager *objectMemoryManager, SceneManager *manager, const NameValuePairList *params=0)
| Create a new instance of the object. More...
virtual void | destroyInstance (MovableObject *obj)=0
| Destroy an instance of the object. More...
virtual const String & | getType (void) const =0
| Get the type of the object to be created. More...
void | operator delete (void *ptr)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete (void *ptr, void *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
void * | operator new (size_t sz)
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info More...
void * | operator new (size_t sz, void *ptr)
| placement operator new More...
void * | operator new[] (size_t sz)
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info More...

## Detailed Description

Interface definition for a factory class which produces a certain kind of MovableObject, and can be registered with Root in order to allow all clients to produce new instances of this object, integrated with the standard Ogre processing.

## Constructor & Destructor Documentation

## ◆ MovableObjectFactory()

Ogre::MovableObjectFactory::MovableObjectFactory | ( |  | ) |
| inline

## ◆ ~MovableObjectFactory()

virtual Ogre::MovableObjectFactory::~MovableObjectFactory | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## ◆ createInstance()

virtual MovableObject* Ogre::MovableObjectFactory::createInstance | ( | IdType | id,
|  | ObjectMemoryManager * | objectMemoryManager,
|  | SceneManager * | manager,
|  | const NameValuePairList * | params = `0`
| ) |  |
| virtual

Create a new instance of the object.

Parameters

  manager | The SceneManager instance that will be holding the instance once created.
  params | Name/value pair list of additional parameters required to construct the object (defined per subtype). Optional.

## ◆ destroyInstance()

virtual void Ogre::MovableObjectFactory::destroyInstance | ( | MovableObject * | obj | ) |
| pure virtual

Destroy an instance of the object.

Implemented in Ogre::WireAabbFactory, Ogre::v1::RibbonTrailFactory, Ogre::Rectangle2DFactory, Ogre::v1::Rectangle2DFactory, Ogre::ParticleSystemFactory, Ogre::ManualObjectFactory, Ogre::v1::ManualObjectFactory, Ogre::LightFactory, Ogre::ItemFactory, Ogre::InternalCubemapProbeFactory, Ogre::v1::EntityFactory, Ogre::DecalFactory, Ogre::v1::BillboardSetFactory, and Ogre::v1::BillboardChainFactory.

## ◆ getType()

virtual const String& Ogre::MovableObjectFactory::getType | ( | void |  | ) | const
| pure virtual

Get the type of the object to be created.

Implemented in Ogre::WireAabbFactory, Ogre::v1::RibbonTrailFactory, Ogre::Rectangle2DFactory, Ogre::v1::Rectangle2DFactory, Ogre::ParticleSystemFactory, Ogre::ManualObjectFactory, Ogre::v1::ManualObjectFactory, Ogre::LightFactory, Ogre::ItemFactory, Ogre::InternalCubemapProbeFactory, Ogre::v1::EntityFactory, Ogre::DecalFactory, Ogre::v1::BillboardSetFactory, and Ogre::v1::BillboardChainFactory.

## ◆ operator delete() [1/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete() [2/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator delete() [3/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |
| ) |  |
| inlineinherited

## ◆ operator delete[]() [1/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete[]() [2/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator new() [1/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new() [2/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

operator new, with debug line info

## ◆ operator new() [3/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr
| ) |  |
| inlineinherited

placement operator new

## ◆ operator new[]() [1/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new[]() [2/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

array operator new, with debug line info

The documentation for this class was generated from the following file:

- OgreMovableObject.h